concepts.hpp File Reference

## Variables

template<typename Fun , typename... Args>
concept | ranges::invocable
template<typename Fun , typename... Args>
concept | ranges::invocable__requires_ = CPP_REQUIRES_requires ` (Fun && fn) ( invoke((Fun &&) fn, std::declval<Args>()...) )
template<typename Fun , typename... Args>
concept | ranges::predicate
template<typename Fun , typename... Args>
concept | ranges::predicate__requires_ = CPP_REQUIRES_requires ` (Fun && fn) ( concepts::requires_< convertible_to< decltype(invoke((Fun &&) fn, std::declval<Args>()...)), bool>> )
template<typename Fun , typename... Args>
concept | ranges::regular_invocable
template<typename R , typename T , typename U >
concept | ranges::relation
template<typename R , typename T , typename U >
concept | ranges::strict_weak_order